gr::gfdm::extract_burst_cc Class Referenceabstract

<+description of block+> More...

`#include <extract_burst_cc.h>`

Inheritance diagram for gr::gfdm::extract_burst_cc:
[legend]

## Public Types

typedef boost::shared_ptr< extract_burst_cc > | sptr

## Public Member Functions

virtual void | activate_cfo_compensation (bool activate_cfo_compensation)=0

## Static Public Member Functions

static sptr | make (int burst_len, int tag_backoff, std::string burst_start_tag, bool activate_cfo_correction=false)
| Return a shared_ptr to a new instance of gfdm::extract_burst_cc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<extract_burst_cc> gr::gfdm::extract_burst_cc::sptr

## Member Function Documentation

## activate_cfo_compensation()

virtual void gr::gfdm::extract_burst_cc::activate_cfo_compensation | ( | bool | activate_cfo_compensation | ) |

pure virtual

Implemented in gr::gfdm::extract_burst_cc_impl.

## make()

static sptr gr::gfdm::extract_burst_cc::make | ( | int | burst_len,
|  | int | tag_backoff,
|  | std::string | burst_start_tag,
|  | bool | activate_cfo_correction = `false`
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::extract_burst_cc.

To avoid accidental use of raw pointers, gfdm::extract_burst_cc's constructor is in a private implementation class. gfdm::extract_burst_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- extract_burst_cc.h